update i30, i29
SET i30.p203={peg_nnn},
    i30.remdate='{odbcdtos(date())}',
    i30.remtime='{time()}',
    i30.remuser='{user_pswd}'
    
WHERE i29.p01={nnr01}
  &&  i30.p203<>{peg_nnn}
  &&  i30.p01=i29.nr01;
